require "test_helper"

class OpenServiceCenterJobTest < ActiveJob::TestCase
  test "opening of service center" do
    ServiceCenter.close!

    service_center = service_centers(:service_center)
    assert_equal false, service_center.open?

    OpenServiceCenterJob.perform_now
    assert_equal true, service_center.reload.open?
  end
end
